#ifndef _CHARMONIC_H_
#define _CHARMONIC_H_

struct c_harmonic{
  int          h_speed;  /* samples per second */

  signed short *h_wave;  /* a single full wave */
  int        h_wavelen;  /* length of wave in samples */

  int          h_chunk;  /* bytes in which output is written */

  unsigned char *h_out;  /* buffer of size 2*wavlen+chunks */

  int        h_coffset;  /* current offset into wave */
};

struct c_entry{
  int         e_number;  /* number of harmonic */
  int     e_percentage;  /* percentage (0-200) */
  int         e_volume;  /* normalized */
};

int c_do();

#endif
